import request from '@/utils/request'

// 查询轮播图管理列表
export function listPic(query) {
  return request({
    url: '/base/pic/list',
    method: 'get',
    params: query
  })
}

// 查询轮播图管理详细
export function getPic(id) {
  return request({
    url: '/base/pic/' + id,
    method: 'get'
  })
}

// 新增轮播图管理
export function addPic(data) {
  return request({
    url: '/base/pic',
    method: 'post',
    data: data
  })
}

// 修改轮播图管理
export function updatePic(data) {
  return request({
    url: '/base/pic',
    method: 'put',
    data: data
  })
}

// 删除轮播图管理
export function delPic(id) {
  return request({
    url: '/base/pic/' + id,
    method: 'delete'
  })
}
